package Gnome2::Install::Files;

$self = {
          'deps' => [
                      'Cairo',
                      'Glib',
                      'Gnome2::Canvas',
                      'Gnome2::VFS',
                      'Gtk2',
                      'Pango'
                    ],
          'inc' => '-I/usr/local/include/libgnomeui-2.0 -I/usr/local/include/libgnome-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/libbonobo-2.0 -I/usr/local/include/orbit-2.0 -I/usr/local/include/bonobo-activation-2.0 -I/usr/local/include/gconf/2 -I/usr/local/include/gnome-vfs-2.0 -I/usr/local/lib/gnome-vfs-2.0/include -I/usr/local/include/libbonoboui-2.0 -I/usr/local/include/libgnomecanvas-2.0 -I/usr/local/include/libart-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/gail-1.0 -D_THREAD_SAFE -D_REENTRANT -I/usr/local/include/libxml2 -D_THREAD_SAFE -D_THREAD_SAFE -D_THREAD_SAFE -D_THREAD_SAFE -D_THREAD_SAFE -D_THREAD_SAFE -DORBIT2=1 -pthread -I/usr/local/include/gnome-keyring-1  -I/usr/local/include/libbonoboui-2.0 -I/usr/local/include/glib-2.0 -I/usr/local/lib/glib-2.0/include -I/usr/local/include -I/usr/local/include/libbonobo-2.0 -I/usr/local/include/orbit-2.0 -I/usr/local/include/bonobo-activation-2.0 -I/usr/local/include/libgnomecanvas-2.0 -I/usr/local/include/libart-2.0 -I/usr/local/include/gtk-2.0 -I/usr/local/include/pango-1.0 -I/usr/local/include/fribidi -I/usr/local/include/cairo -I/usr/local/include/pixman-1 -I/usr/local/include/freetype2 -I/usr/local/include/libpng16 -I/usr/local/include/harfbuzz -I/usr/local/include/gdk-pixbuf-2.0 -I/usr/local/include/atk-1.0 -I/usr/local/include/gail-1.0 -D_THREAD_SAFE -D_THREAD_SAFE -I/usr/local/include/libgnome-2.0 -I/usr/local/include/gconf/2 -I/usr/local/include/gnome-vfs-2.0 -I/usr/local/lib/gnome-vfs-2.0/include -D_REENTRANT -DORBIT2=1 -pthread -I/usr/local/include/libxml2 ',
          'libs' => '-L/usr/local/lib -lgnomeui-2 -lSM -lICE -lglib-2.0 -lglib-2.0 -lglib-2.0 -lglib-2.0 -lbonoboui-2 -lglib-2.0 -lglib-2.0 -lglib-2.0 -lglib-2.0 -lgnome-2 -lpopt -lbonobo-2 -lglib-2.0 -lglib-2.0 -lbonobo-activation -lglib-2.0 -lORBit-2 -lglib-2.0 -lgnomecanvas-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lpthread -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lgdk_pixbuf-2.0 -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lgmodule-2.0 -pthread -lglib-2.0 -lgobject-2.0 -lglib-2.0 -lintl  -L/usr/local/lib -lbonoboui-2 -lglib-2.0 -lglib-2.0 -lglib-2.0 -lglib-2.0 -lgnomecanvas-2 -lart_lgpl_2 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangocairo-1.0 -latk-1.0 -lcairo -lpthread -lgdk_pixbuf-2.0 -lgio-2.0 -lpangoft2-1.0 -lpango-1.0 -lfontconfig -lfreetype -lgnome-2 -lpopt -lbonobo-2 -lglib-2.0 -lglib-2.0 -lbonobo-activation -lgmodule-2.0 -lglib-2.0 -lORBit-2 -lgthread-2.0 -pthread -lglib-2.0 -lgobject-2.0 -lglib-2.0 -lintl ',
          'typemaps' => [
                          'gnome2perl.typemap',
                          'gnome.typemap'
                        ]
        };

@deps = @{ $self->{deps} };
@typemaps = @{ $self->{typemaps} };
$libs = $self->{libs};
$inc = $self->{inc};

	$CORE = undef;
	foreach (@INC) {
		if ( -f $_ . "/Gnome2/Install/Files.pm") {
			$CORE = $_ . "/Gnome2/Install/";
			last;
		}
	}

	sub deps { @{ $self->{deps} }; }

	sub Inline {
		my ($class, $lang) = @_;
		if ($lang ne 'C') {
			warn "Warning: Inline hints not available for $lang language
";
			return;
		}
		+{ map { (uc($_) => $self->{$_}) } qw(inc libs typemaps) };
	}

1;
